/[gentoo-x86]/x11-base/xorg-server/xorg-server-1.7.6.ebuild
Gentoo

Diff of /x11-base/xorg-server/xorg-server-1.7.6.ebuild

Parent Directory Parent Directory | Revision Log Revision Log | View Patch Patch

Revision 1.1 Revision 1.12
1# Copyright 1999-2010 Gentoo Foundation 1# Copyright 1999-2010 Gentoo Foundation
2# Distributed under the terms of the GNU General Public License v2 2# Distributed under the terms of the GNU General Public License v2
3# $Header: /var/cvsroot/gentoo-x86/x11-base/xorg-server/Attic/xorg-server-1.7.6.ebuild,v 1.1 2010/03/17 15:35:54 scarabeus Exp $ 3# $Header: /var/cvsroot/gentoo-x86/x11-base/xorg-server/Attic/xorg-server-1.7.6.ebuild,v 1.12 2010/10/04 20:33:59 mgorny Exp $
4 4
5EAPI="2" 5EAPI="2"
6 6
7# Must be before x-modular eclass is inherited 7# Must be before x-modular eclass is inherited
8SNAPSHOT="yes" 8SNAPSHOT="yes"
12EGIT_REPO_URI="git://anongit.freedesktop.org/git/xorg/xserver" 12EGIT_REPO_URI="git://anongit.freedesktop.org/git/xorg/xserver"
13 13
14OPENGL_DIR="xorg-x11" 14OPENGL_DIR="xorg-x11"
15 15
16DESCRIPTION="X.Org X servers" 16DESCRIPTION="X.Org X servers"
17KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~mips ~ppc ~ppc64 ~sh ~sparc ~x86 ~x86-fbsd" 17KEYWORDS="alpha amd64 arm hppa ia64 ~mips ppc ppc64 sh sparc x86 ~x86-fbsd"
18 18
19IUSE_SERVERS="dmx kdrive xorg" 19IUSE_SERVERS="dmx kdrive xorg"
20IUSE="${IUSE_SERVERS} tslib hal ipv6 minimal nptl sdl" 20IUSE="${IUSE_SERVERS} tslib hal ipv6 minimal nptl sdl"
21RDEPEND="hal? ( sys-apps/hal ) 21RDEPEND="hal? ( sys-apps/hal )
22 tslib? ( >=x11-libs/tslib-1.0 x11-proto/xcalibrateproto ) 22 tslib? ( >=x11-libs/tslib-1.0 x11-proto/xcalibrateproto )
33 >=x11-misc/xkeyboard-config-1.4 33 >=x11-misc/xkeyboard-config-1.4
34 x11-apps/xkbcomp 34 x11-apps/xkbcomp
35 >=x11-apps/iceauth-1.0.2 35 >=x11-apps/iceauth-1.0.2
36 >=x11-apps/rgb-1.0.3 36 >=x11-apps/rgb-1.0.3
37 >=x11-apps/xauth-1.0.3 37 >=x11-apps/xauth-1.0.3
38 >=x11-apps/xinit-1.0.8-r3 38 <=x11-apps/xinit-1.2.1
39 >=app-admin/eselect-opengl-1.0.8 39 >=app-admin/eselect-opengl-1.0.8
40 dmx? ( 40 dmx? (
41 x11-libs/libXt 41 x11-libs/libXt
42 >=x11-libs/libdmx-1.0.99.1 42 >=x11-libs/libdmx-1.0.99.1
43 >=x11-libs/libX11-1.1.5 43 >=x11-libs/libX11-1.1.5
55 >=media-libs/mesa-7.4[nptl=] 55 >=media-libs/mesa-7.4[nptl=]
56 ) 56 )
57 >=x11-libs/libxkbui-1.0.2 57 >=x11-libs/libxkbui-1.0.2
58 kdrive? ( 58 kdrive? (
59 >=x11-libs/libXext-1.0.5 59 >=x11-libs/libXext-1.0.5
60 x11-libs/libXv
60 sdl? ( media-libs/libsdl ) )" 61 sdl? ( media-libs/libsdl )
62 )"
61 # Xres is dmx-dependent 63 # Xres is dmx-dependent
62 # Xaw is dmx-dependent 64 # Xaw is dmx-dependent
63 # Xpm is dmx-dependent, pulls in Xt 65 # Xpm is dmx-dependent, pulls in Xt
64 # xkbcomp is launched at startup but not checked by ./configure 66 # xkbcomp is launched at startup but not checked by ./configure
65 67
122UPSTREAMED_PATCHES=( 124UPSTREAMED_PATCHES=(
123 #"${WORKDIR}/patches/" 125 #"${WORKDIR}/patches/"
124 126
125 # Fix from bug http://bugs.freedesktop.org/show_bug.cgi?id=25400 127 # Fix from bug http://bugs.freedesktop.org/show_bug.cgi?id=25400
126 "${FILESDIR}/1.7.3.901-0001-dix-if-owner-events-is-true-for-passive-grabs-add-th.patch" 128 "${FILESDIR}/1.7.3.901-0001-dix-if-owner-events-is-true-for-passive-grabs-add-th.patch"
127 # Fix for bug #304067
128 "${FILESDIR}/1.7.5.902-fix-tslib-1.0-check.patch"
129 ) 129 )
130 130
131PATCHES=( 131PATCHES=(
132 "${UPSTREAMED_PATCHES[@]}" 132 "${UPSTREAMED_PATCHES[@]}"
133
134 # Fixes for bug #318609
135 "${FILESDIR}"/0001-Fix-tslib-check-fallback-to-set-TSLIB_LIBS.patch
136 "${FILESDIR}"/${P}-tslib-as-needed.patch
133 ) 137 )
134 138
135pkg_setup() { 139pkg_setup() {
136 use minimal || ensure_a_server_is_building 140 use minimal || ensure_a_server_is_building
137 141
179 if [[ $(gcc-major-version) -lt 4 ]]; then 183 if [[ $(gcc-major-version) -lt 4 ]]; then
180 filter-flags -fstack-protector 184 filter-flags -fstack-protector
181 fi 185 fi
182 fi 186 fi
183 187
188 # Incompatible with GCC 3.x CPP, bug #314615
189 if [[ $(gcc-major-version) -lt 4 ]]; then
190 ewarn "GCC 3.x C preprocessor may cause build failures. Use GCC 4.x"
191 ewarn "or set CPP=cpp-4.3.4 (replace with the actual installed version)"
192 fi
193
184 OLD_IMPLEM="$(eselect opengl show)" 194 OLD_IMPLEM="$(eselect opengl show)"
185 eselect opengl set ${OPENGL_DIR} 195 eselect opengl set ${OPENGL_DIR}
186} 196}
187 197
188src_install() { 198src_install() {

Legend:
Removed from v.1.1  
changed lines
  Added in v.1.12

  ViewVC Help
Powered by ViewVC 1.1.20